import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Laser here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Laser extends Actor
{
    private int time = 2;
    
    public void act()
    {
        time -= 1;
        if (time <= 0)
            getWorld().removeObject(this);
    }

    public static void drawLaser(World world, int x0, int y0, int x1, int y1)
    {
        int sizeX = Math.abs(x0 - x1);
        int sizeY = Math.abs(y0 - y1);
        
        GreenfootImage img = new GreenfootImage(Math.max(1, sizeX), Math.max(1, sizeY));
        img.setColor(java.awt.Color.RED);
        //Laser is a diagonal line from one corner to another, just need to know which:
        if (Math.signum(x1 - x0) == Math.signum(y1 - y0))
        {
            //Must be top left to bottom right
            img.drawLine(0, 0, img.getWidth() - 1, img.getHeight() - 1);
        }
        else
        {
            //Must be top right to bottom left
            img.drawLine(img.getWidth() - 1, 0, 0, img.getHeight() - 1);
        }
        
        Laser laser = new Laser();
        laser.setImage(img);
        world.addObject(laser, (x0 + x1) / 2, (y0 + y1) / 2);
    }
}
